# 7. म्यूटेशन: "ZonesMap" जनरेट करें

"Field" के लिए "ZonesMap" जनरेट करें।

{% hint style="info" %}
निष्पादन समय अलग हो सकता है (4 सेकंड से लेकर 5 मिनट तक), यह प्रोसेस करने वाली छवियों की संख्या और खेत के क्षेत्र पर निर्भर करता है, और "ZonesMap" की सफल जनरेशन के बाद सदस्यता प्राप्त होगी।
{% endhint %}

{% hint style="danger" %}
हम सलाह देते हैं कि एक **असिंक्रोनस** दृष्टिकोण का उपयोग करके ZonesMaps जनरेट करें
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateZonesMap {
  generateVectorAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<placeholder_of_satelliteimage_uuid_2>"
    ]
    numberOfZones: 6
    index: EVI2
  }) {
    uuid
    fieldUuid
    name
    प्रकार
    geoMaps {
      url
      classes
      hexColorCodes
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/7.-zonesmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
